

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */

  /* 10px / 16 px =0.625 = 62.5%
  Percentage of users browser font-size setting */
  font-size: 62.5%;
  overflow-x: hidden;

  /* DOES NOT WORK ON SAFARI (MAIN BROWSER FOR I-PHONES) */
  /* scroll-behavior: smooth; */
}

body {
  font-family: "Montserrat", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;

  /* Only works if there is nothing absolutly positioned in relation to body */
  overflow-x: hidden;
}

/* ********************* */
/* GENERAL REUSABLE COMPONENTS */
/* ********************* */
.container {
  /* 1140px also comon to use same as 120rem */
  max-width: 120rem;
  padding: 1.6rem 3.2rem;
  margin: 0.4rem auto;
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
  column-gap: 4.8rem !important;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-family: "Cormorant Garamond", serif;
  font-weight: 700;
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 7.4rem;
  color: #455359;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.8rem;
  color: #393939;
  line-height: 1.2;
  margin-bottom: 0.6rem;
}

.heading-tertiary {
  font-size: 3.8rem;
  font-style: italic;
  color: #455359;
  line-height: 1.2;
  margin-bottom: 2.2rem;
}

.sub-heading {
  font-size: 1.6rem;
}

.heading-primary-white {
  color: #f7f3ef;
  margin-bottom: 1.2rem;
}

.heading-tertiary-white {
  color: #f7f3ef;
  text-align: center;
  margin-bottom: 1.2rem;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  text-decoration: none;
  font-size: 1.6rem;
  font-weight: 600;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;

  /* Only necesary for .btn */
  border: none;
  cursor: pointer;
  font-family: inherit;
  /* Always put transition on origanal "state" */
  /* transition: background-color 0.3s; */
  transition: all 0.3s;
}

.btn--full:link,
.btn--full:visited {
  background-color: #455359;
  color: #fff;
}

.btn--full:hover,
.btn--full:active {
  background-color: #91a1b0;
}

.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}
.btn--outline:hover,
.btn--outline:active {
  background-color: #fdf2e9;

  /* border: 3px solid #fff; */

  /* Trick to add border inside btn */
  box-shadow: inset 0 0 0 3px #fff;
}

.btn--form {
  background-color: #91a1b0;
  width: 30%;
  color: #fdf2e9;
  align-self: center;
  padding: 1.2rem;
}

.btn--form:hover {
  background-color: #fff;
  color: #555;
}

/* HELPER/SETTINGS CLASSES */

.btn-sml {
  font-size: 1rem !important;
  padding: 1rem 2.4rem !important;
}

.center-text {
  text-align: center;
}
